<template>
  <CCard>
    <CCardHeader>
      <div>
        <font-awesome-icon :icon="['fas', 'wallet']" />
        <strong>落札結果</strong>
      </div>
    </CCardHeader>

    <CCardBody>
      <p class="text-success">
        落札結果合計です。
      </p>

      <CDataTable
        hover
        :items="data"
        :fields="FIELDS_BID_SUCCESS"
        class="table-wrapper"
      >
        <template #number>
          <td>
            {{ data.length }}
          </td>
        </template>

        <template #product="{item}">
          <td>
            {{ item.product.current_price }}
          </td>
        </template>

        <template #action>
          <td class="white-space-nowrap">
            <CButton size="sm" color="success">
              <font-awesome-icon :icon="['fas', 'arrow-right']" />
            </CButton>
          </td>
        </template>
      </CDataTable>
    </CCardBody>
  </CCard>
</template>

<script>
const FIELDS_BID_SUCCESS = [
  { key: 'id', label: 'カテゴリ', _classes: 'id' },
  { key: 'number', label: '落札件数', _classes: 'number' },
  { key: 'product', label: '落札金額', _classes: 'price' },
  { key: 'action', label: '明細へ', _classes: 'action' }
]

export default {
  props: {
    data: {
      type: Array,
      default: () => []
    }
  },

  computed: {
    /**
     * Get FIELDS_BID_SUCCESS of header table
     *
     * @return {array} FIELDS_BID_SUCCESS of header table
     */
    FIELDS_BID_SUCCESS () {
      return FIELDS_BID_SUCCESS
    }
  }
}
</script>
